# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_98jsqghc2y/clone/recipe, last modified Mon Sep 26 16:21:31 2022
# ------------------------------------------------

package:
  name: daal4py
  version: 2021.6.0
source:
  patches:
    - patches/0001-replace-check_estimator_sparse_data-in-tests.patch
  sha256: a75acdc518f0af262a86952ee1040d5c8b9a9dbd4bf798fd974a917ee5b47e68
  url: https://github.com/intel/scikit-learn-intelex/archive/2021.6.0.tar.gz
build:
  missing_dso_whitelist:
    - lib/libc++.1.dylib
  number: '0'
  string: py39h01d92e1_0
requirements:
  build:
    - make 4.2.1 h3efe00b_1
    - patch 2.7.6 h1de35cc_1001
  host:
    - blas 1.0 mkl
    - bzip2 1.0.8 h1de35cc_0
    - c-ares 1.18.1 hca72f7f_0
    - ca-certificates 2022.07.19 hecd8cb5_0
    - certifi 2022.9.14 py39hecd8cb5_0
    - clang-format 14.0.6 default_h32c6d10_0
    - clang-format-14 14.0.6 default_h32c6d10_0
    - clang-tools 14.0.6 default_h32c6d10_0
    - cmake 3.22.1 hbfa4a85_0
    - cython 0.29.32 py39he9d5cce_0
    - dal 2021.6.0 haf03e11_929
    - dal-devel 2021.6.0 haf03e11_929
    - dal-include 2021.6.0 hecd8cb5_929
    - expat 2.4.4 he9d5cce_0
    - intel-openmp 2021.4.0 hecd8cb5_3538
    - jinja2 3.0.3 pyhd3eb1b0_0
    - krb5 1.19.2 hcd88c3b_0
    - libclang 14.0.6 default_h32c6d10_0
    - libclang-cpp14 14.0.6 default_h32c6d10_0
    - libclang13 14.0.6 default_hc2d90ac_0
    - libcurl 7.84.0 h6dfd666_0
    - libcxx 14.0.6 h9765a3e_0
    - libedit 3.1.20210910 hca72f7f_0
    - libev 4.33 h9ed2024_1
    - libffi 3.3 hb1e8313_2
    - libgfortran 3.0.1 h93005f0_2
    - libllvm14 14.0.6 he552d86_0
    - libnghttp2 1.46.0 ha29bfda_0
    - libssh2 1.10.0 h0a4fc7d_0
    - libuv 1.40.0 haf1e3a3_0
    - lz4-c 1.9.3 h23ab428_1
    - markupsafe 2.1.1 py39hca72f7f_0
    - mkl 2021.4.0 hecd8cb5_637
    - mkl-service 2.4.0 py39h9ed2024_0
    - mkl_fft 1.3.1 py39h4ab4a9b_0
    - mkl_random 1.2.2 py39hb2f4e1b_0
    - mpi 1.0 mpich
    - mpich 3.3.2 hc856adb_0
    - ncurses 6.3 hca72f7f_3
    - numpy 1.16.6 py39h300780c_3
    - numpy-base 1.16.6 py39h4850c68_3
    - openssl 1.1.1q hca72f7f_0
    - pybind11 2.9.2 py39hc29d2bd_0
    - python 3.9.13 hdfd78df_1
    - readline 8.1.2 hca72f7f_1
    - rhash 1.4.1 hbcfaee0_1
    - setuptools 63.4.1 py39hecd8cb5_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.39.2 h707629a_0
    - tbb 2021.5.0 haf03e11_0
    - tk 8.6.12 h5d9f67b_0
    - tzdata 2022c h04d1e81_0
    - xz 5.2.5 hca72f7f_1
    - zlib 1.2.12 h4dc903c_3
    - zstd 1.5.2 hcb37349_0
  run:
    - dal ==2021.6.0=haf03e11_929
    - dal >=2021.6.0,<2022.0a0
    - mpich >=3.3.2,<3.4.0a0
    - numpy >=1.16.6,<2.0a0
    - python >=3.9,<3.10.0a0
test:
  commands:
    - cd tests
    - python -c "import daal4py"
    - mpirun -n 4 python -m unittest discover -v -p spmd*.py
    - python -m unittest discover -v -p 'test*.py'
    - pytest --pyargs ../daal4py/sklearn/
    - pytest --pyargs ../onedal/
    - python ../examples/daal4py/run_examples.py
    - python -m daal4py ../examples/daal4py/sycl/sklearn_sycl.py
  requires:
    - mpich
    - pandas
    - pytest
    - scikit-learn <1.1
    - scipy
  source_files:
    - daal4py
    - examples
    - onedal
    - tests
about:
  dev_url: https://github.com/intel/scikit-learn-intelex
  doc_url: https://intelpython.github.io/daal4py
  home: https://intelpython.github.io/daal4py/
  license: Apache-2.0
  license_family: Apache
  license_file:
    - LICENSE
    - doc/daal4py/third-party-programs.txt
  summary: A convenient Python API to Intel (R) oneAPI Data Analytics Library
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 98d36a13-c432-450f-8ac1-5c3800b3598b
  recipe-maintainers:
    - Alexsandruss
    - napetrov
  remote_url: git@github.com:AnacondaRecipes/daal4py-feedstock.git
  sha: 1caf895478a53ada7e0610fa4fa8c88decfabc81
